# SoPSVectorOutput Class Reference
[Support for vectorized printing]

`#include <HardCopy/SoPSVectorOutput.h>`

Inheritance diagram for SoPSVectorOutput:

List of all members.

## Detailed Description

The SoPSVectorOutput class is used for writing Postscript.

Since:
  Coin 2.1

  TGS provides HardCopy support as a separate extension for TGS Inventor.

## Public Member Functions

| SoPSVectorOutput ()
virtual | ~SoPSVectorOutput ()
void | setColored (SbBool flag=TRUE)
SbBool | getColored (void) const

## Constructor & Destructor Documentation

SoPSVectorOutput::SoPSVectorOutput | ( |  | ) |

| Constructor.

SoPSVectorOutput::~SoPSVectorOutput | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoPSVectorOutput::setColored | ( | SbBool | flag = TRUE | ) |

| Sets whether the geometry should be colored.

SbBool SoPSVectorOutput::getColored | ( | void |  | ) | const

| Returns whether geometry is colored.

The documentation for this class was generated from the following files:

- SoPSVectorOutput.h
- PSVectorOutput.cpp